Installation Error on Linux

Discussion in 'Acronis True Image Product Line' started by akinarcak, Nov 14, 2005.

Thread Status:
Not open for further replies.
  1. akinarcak

    akinarcak Registered Member

    Joined:
    Nov 14, 2005
    Posts:
    1
    I tried to install acronis to my FC4 machine and i got some errors while installing.
    I used this command to install modules.

    dkms build -m snapapi26 -v 0.6.3 --arch i686 --kernelsourcedir
    > /usr/src/kernels/2.6.14-1.1637_FC4-smp-i686

    and the program went on like this

    > Preparing kernel 2.6.14-1.1637_FC4smp for module build:
    > (This is not compiling a kernel, only just preparing kernel symbols)
    > Storing current .config to be restored when complete
    > Running Generic preparation routine
    > make mrproper....(bad exit status: 2)
    > using /boot/config-2.6.14-1.1637_FC4smp
    > make oldconfig.....
    > make prepare-all.....
    >
    > Building module:
    > cleaning build area....
    > make KERNELRELEASE=2.6.14-1.1637_FC4smp -C
    > /usr/src/kernels/2.6.14-1.1637_FC4-smp-i686
    > SUBDIRS=/var/lib/dkms/snapapi26/0.6.3/build modules....
    > cleaning build area....
    > cleaning kernel tree (make mrproper)....(bad exit status: 2)

    despite 2 errors i tried to run the setup and i got the an error message and setup was interrupted.

    There is a screenshot in the attachment. I will be happy if you solve this problem.

    Best Regards.
     

    Attached Files:

  2. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
    Hello akinarcak,

    Thank you for choosing Acronis Linux Server Disk Backup Software.

    First of all, please download and install the latest build (962) of Acronis True Image 8.0 Server for Linux which is available at: http://www.acronis.com/enterprise/support/updates/

    To get access to updates you should create an account at:
    http://www.acronis.com/enterprise/my/
    then log in and use your serial number to register your software.

    If the problem still persists with the latest build (962) of Acronis True Image 8.0 Server for Linux then please start Acronis True Image 8.0 Server for Linux installation process with the following parameters:

    # ./trueimage-setup --norpm

    It should solve the problem.

    Please also note that the latest build (962) of Acronis True Image 8.0 Server for Linux has SnapAPI version 0.6.7.

    Thank you.
    --
    Alexey Popov
     
  3. falcom

    falcom Guest

    Ok i try with the parameter --norpm but not work, the same error is indicated
    What is the problem... thnz
     
  4. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
    Hello falcom,

    Could you please clarify what build of Acronis True Image 8.0 Server for Linux you use? Please make sure that you use the latest build.

    Then please do the following:

    # dmesg > dmesg.txt
    # lsmod > lsmod.txt
    # strace -o log -fF ./trueimage-setup
    # strace -o log1 -fF ./trueimage-setup --norpm
    # mount > mount.txt

    and send all the information (dmesg.txt, lsmod.txt, log, log1, mount.txt) to Acronis Support along with the link to this thread. This will allow us to investigate the problem thoroughly.

    Thank you.
    --
    Irina Shirokova
     
  5. falcom

    falcom Guest

    Hello i use Acronis True Image Server for Linux 8.0.962 over Fedora Core IV
    and this is the Error:
    - Acronis True Image Setup has not found precompiled snapapi module for the running kernel. It is suggested to compile it now. You may choose "Skip" and compile snapapi module later.

    - Can't find kernel source directory: /lib/modules/2.6.11-1.1369_FC4smp/build
    Please helpme
    PD: i try with the parameter --norpm but not work
     
  6. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
    Hello falcom,

    Please send us the requested dmesg.txt, lsmod.txt, log, log1 and mount.txt files as Irina has suggested in her previous post #4. We will certainly do our best in order to provide you with the solution as soon as possible.

    Thank you.
    --
    Alexey Popov
     
  7. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
  8. falcom

    falcom Guest

    Greetings
    sorry but how install the kernel sources??
    Greetings
    PD: I have the cd's

     
  9. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
    Hello falcom,

    Please find the kernel-smp-devel-2.6.14-1.1637_FC4 on your installation CD. Then please suggest the following command to install kernel sources:

    # rpm -ihv kernel-smp-devel-2.6.14-1.1637_FC4.i686.rpm

    If you have any questions please feel free to contact me again.

    Thank you.
    --
    Irina Shirokova
     
  10. falcom

    falcom Guest

    Hy Irina
    loock this is the nwe error:
    error: Failed dependencies:
    /usr/sbin/hardlink is needed by kernel-smp-devel-2.6.14-1.1637_FC4.i686
    please helpme and so sorry for all
    thnz
     
  11. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
Thread Status:
Not open for further replies.